<bugID>334943<Summary>After any extensions crash (e.g. IeTab), firefox picks up the error (error in DLL) but firefox then seems to lockup</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.2; en-GB; rv:1.8.0.2) Gecko/20060308 Firefox/1.5.0.2
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-GB; rv:1.8.0.2) Gecko/20060308 Firefox/1.5.0.2

After an extension crashes, firefox picks up the error, but never seems to recover properly.

This can be seen after a dynamic link library error as closing firefox does not end the process firefox.exe and reopenning the browser will not create a new process - it will re-use the old process. This can mean memory loss, i remember seeing cases when memory usage of firefox came close to 1 gig, but I have not seen this for a couple of versions of firefox- this may be because the problem is fixed, but I have got in the habit of ending the firefox process whenever a library causes an error.

Understandably it is the extension causing this issue, but my bug request is to have a better mechanism of disposing of the extension after it causes an error? Perhaps forcing the extensions to have a tear down function that frees any possible resources? Or tracking 3rd party dlls that are loaded and unload them?

I'm not sure what's possible in the current arcitecture, but as it stands i see this as a problem.


Reproducible: Always

Steps to Reproduce:
1. Cause a DLL to crash
2. Close Firefox window(s)
3. check what processes are running (firefox.exe)</Description></bugID>